Module wsc32
'
' WSC32 (Version 7.0.0) declarations and constants for Visual Studio (VB.NET)
'
'
' Note: All parameters passed to WSC functions must be either an integer
'       or a (single) variable containing the address of a character buffer.
'
Declare Function SioBaud Lib "WSC32.DLL" (ByVal Port As Integer, ByVal BaudCode As Integer) As Integer
Declare Function SioBrkSig Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Cmd As Integer) As Integer
Declare Function SioByteToShort Lib "WSC32.DLL" (ByVal Buffer As String) As Integer
Declare Function SioClose Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioCRC16 Lib "WSC32.DLL" (ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function SioCRC32 Lib "WSC32.DLL" (ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function SioCTS Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioDCD Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioDebug Lib "WSC32.DLL" (ByVal Parm As Integer) As Integer
Declare Function SioDone Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioDSR Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioDTR Lib "WSC32.DLL" (ByVal Port As Integer, ByVal AscChr As Integer) As Integer
Declare Function SioErrorText Lib "WSC32.DLL" (ByVal ErrCode As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function SioEvent Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Mask As Integer) As Integer
Declare Function SioEventChar Lib "WSC32.DLL" (ByVal Port As Integer, ByVal EvtChar As Integer, ByVal Timeout As Integer) As Integer
Declare Function SioEventWait Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Mask As Integer, ByVal Timeout As Integer) As Integer 
Declare Function SioFlow Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Code As Integer) As Integer
Declare Function SioGetc Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioGetReg Lib "WSC32.DLL" (ByVal Buffer As String, ByVal StringSize As Integer) As Integer
Declare Function SioGets Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Buffer As String, ByVal StringSize As Integer) As Integer
Declare Function SioGetsC Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Buffer As String,  ByVal BufLen As Integer, ByVal Timeout As Integer, ByVal StopChr As Integer) As Integer
Declare Function SioGetsQ Lib "WSC32.DLL" (ByVal Port As Integer, ByVal QuietTime As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function SioHexView Lib "WSC32.DLL" (ByVal Binary As String, ByVal ByteCount As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function SioInfo Lib "WSC32.DLL" (ByVal Cmd As Integer) As Integer
Declare Function SioKeyCode Lib "WSC32.DLL" (ByVal KeyCode As Integer) As Integer
Declare Function SioLRC Lib "WSC32.DLL" (ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function SioMessage Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Handle As Integer, ByVal MsgCode As Integer, ByVal Mask As Integer) As Integer
Declare Function SioOpen Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioParms Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Code1 As Integer, ByVal Code2 As Integer, ByVal Code3 As Integer) As Integer
Declare Function SioPortInfo Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Parm As Integer) As Integer
Declare Function SioPutc Lib "WSC32.DLL" (ByVal Port As Integer, ByVal AscChr As Integer) As Integer
Declare Function SioPuts Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Buffer As String, ByVal Size As Integer) As Integer
Declare Function SioQuiet Lib "WSC32.DLL" (ByVal Port As Integer, ByVal QuietTime As Integer, ByVal TimeOut As Integer) As Integer
Declare Function SioRead Lib "WSC32.DLL" (ByVal Port As Integer, ByVal RegVal As Integer) As Integer
Declare Function SioReset Lib "WSC32.DLL" (ByVal Port As Integer, ByVal RxQueSize As Integer, ByVal TxQueSize As Integer) As Integer
Declare Function SioRI Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioRTS Lib "WSC32.DLL" (ByVal Port As Integer, ByVal AscChr As Integer) As Integer
Declare Function SioRxClear Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioRxQue Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioRxWait Lib "WSC32.DLL" (ByVal Port As Integer, ByVal BytesWanted As Integer, ByVal Timeout As Integer) As Integer
Declare Function SioSetInteger Lib "WSC32.DLL" (ByVal Port As Integer, ByVal ParmName As Integer, ByVal ParmValue As Integer) As Integer
Declare Function SioSetTimeouts Lib "WSC32.DLL" (ByVal Port As Integer, ByVal ReadInterval As Integer, ByVal ReadMult As Integer, ByVal ReadCons As Integer, ByVal WriteMult As Integer, ByVal WriteCons As Integer) As Integer
Declare Function SioShortToByte Lib "WSC32.DLL" (ByVal Buffer As String) As Integer
Declare Function SioSleep Lib "WSC32.DLL" (ByVal MilliSeconds As Integer) As Integer
Declare Function SioStatus Lib "WSC32.DLL" (ByVal Port As Integer, ByVal Mask As Integer) As Integer
Declare Function SioTimeMark Lib "WSC32.DLL" (ByVal Mask As Integer) As Integer
Declare Function SioTimer Lib "WSC32.DLL" () As Integer
Declare Function SioTxClear Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioTxQue Lib "WSC32.DLL" (ByVal Port As Integer) As Integer
Declare Function SioUnGetc Lib "WSC32.DLL" (ByVal Port As Integer, ByVal AscChr As Integer) As Integer
Declare Function SioWaitFor Lib "WSC32.DLL" (ByVal Port As Integer, ByVal TimeOut As Integer) As Integer
Declare Function SioWinError Lib "WSC32.DLL" (ByVal Buffer As String, ByVal Size As Integer) As Integer

' COM port codes

Public Const COM1 As Integer = 0
Public Const COM2 As Integer = 1
Public Const COM3 As Integer = 2
Public Const COM4 As Integer = 3
Public Const COM5 As Integer = 4
Public Const COM6 As Integer = 5
Public Const COM7 As Integer = 6
Public Const COM8 As Integer = 7
Public Const COM9 As Integer = 8
Public Const COM10 As Integer = 9
Public Const COM11 As Integer = 10
Public Const COM12 As Integer = 11
Public Const COM13 As Integer = 12
Public Const COM14 As Integer = 13
Public Const COM15 As Integer = 14
Public Const COM16 As Integer = 15
Public Const COM17 As Integer = 16
Public Const COM18 As Integer = 17
Public Const COM19 As Integer = 18
Public Const COM20 As Integer = 19
'(COM21 to COM255 defined as above)
Public Const COM256 As Integer = 255

' Parity Codes

Public Const WSC_NoParity As Integer = 0
Public Const WSC_OddParity As Integer = 1
Public Const WSC_EvenParity As Integer = 2
Public Const WSC_MarkParity As Integer = 3
Public Const WSC_SpaceParity As Integer = 4

' Stop Bit Codes

Public Const WSC_OneStopBit  As Integer = 0
Public Const WSC_One5StopBit As Integer = 1
Public Const WSC_TwoStopBits As Integer = 2

' Word Length Codes

Public Const WSC_WordLength5 As Integer = 5
Public Const WSC_WordLength6 As Integer = 6
Public Const WSC_WordLength7 As Integer = 7
Public Const WSC_WordLength8 As Integer = 8

' Data Bit Codes (same as Word Length Codes)

Public Const WSC_DataBits_5 As Integer = 5
Public Const WSC_DataBits_6 As Integer = 6
Public Const WSC_DataBits_7 As Integer = 7
Public Const WSC_DataBits_8 As Integer = 8

' baud codes

Public Const WSC_Baud110 As Integer = 0
Public Const WSC_Baud300 As Integer = 1
Public Const WSC_Baud1200 As Integer = 2
Public Const WSC_Baud2400 As Integer = 3
Public Const WSC_Baud4800 As Integer = 4
Public Const WSC_Baud9600 As Integer = 5
Public Const WSC_Baud19200 As Integer = 6
Public Const WSC_Baud38400 As Integer = 7
Public Const WSC_Baud57600 As Integer = 8
Public Const WSC_Baud115200 As Integer = 9

' SioGetError Masks

Public Const WSC_RXOVER As Integer = &H1
Public Const WSC_OVERRUN As Integer = &H2
Public Const WSC_PARITY As Integer = &H4
Public Const WSC_FRAME As Integer = &H8
Public Const WSC_BREAK As Integer = &H10
Public Const WSC_TXFULL As Integer = &H100

' Command codes

Public Const WSC_ASSERT_BREAK As Integer = 65
Public Const WSC_CANCEL_BREAK As Integer = 67
Public Const WSC_DETECT_BREAK As Integer = 68

Public Const WSC_SET_LINE As Integer = 83
Public Const WSC_CLEAR_LINE As Integer = 67
Public Const WSC_READ_LINE As Integer = 82

' Return codes

Public Const IE_BADID As Integer = -1
Public Const IE_OPEN As Integer = -2
Public Const IE_NOPEN As Integer = -3
Public Const IE_MEMORY As Integer = -4
Public Const IE_DEFAULT As Integer = -5
Public Const IE_HARDWARE As Integer = -10
Public Const IE_BYTESIZE As Integer = -11
Public Const IE_BAUDRATE As Integer = -12
Public Const WSC_IO_ERROR As Integer = -13
Public Const WSC_NO_DATA As Integer = -100
Public Const WSC_BUSY As Integer = -100
Public Const WSC_RANGE As Integer = -101
Public Const WSC_ABORTED As Integer = -102
Public Const WSC_WIN32ERR As Integer = -103
Public Const WSC_EXPIRED As Integer = -104
Public Const WSC_BUFFERS As Integer = -105
Public Const WSC_THREAD  As Integer = -106
Public Const WSC_TIMEOUT As Integer = -107
Public Const WSC_KEYCODE As Integer = -108
Public Const WSC_BUFFER_RANGE As Integer = -109
Public Const WSC_BUFLEN_RANGE As Integer = -110
Public Const WSC_BAD_CMD As Integer = -111
Public Const WSC_BAD_PARITY As Integer = -112
Public Const WSC_BAD_STOPBIT As Integer = -113
Public Const WSC_BAD_WORDLEN As Integer = -114

' SioFlow codes

Public Const WSC_HARDWARE_FLOW_CONTROL As Integer = 72
Public Const WSC_SOFTWARE_FLOW_CONTROL As Integer = 83
Public Const WSC_NO_FLOW_CONTROL As Integer = 78

' SioSetInteger codes

Public Const WSC_OVERLAPPED  As Integer = 79
Public Const WSC_SIGNAL As Integer = 83
Public Const WSC_WAIT_ON_PUTS As Integer = 87

' SioEvent, SioEventChar, and SioEventWait codes 

Public Const WSC_IO_PENDING As Integer = 2
Public Const WSC_IO_COMPLETE As Integer = 3

' SioInfo codes

Public Const WSC_GET_VERSION As Integer = 86
Public Const WSC_GET_BUILD As Integer = 66

' SioPortInfo codes 

Public Const WSC_PORT_BAUD As Integer = 66
Public Const WSC_PORT_CPS As Integer = 67

End Module
